function setFigureSize(SizeType)

% Input SizeType
%   -> 'ppt':   set figure's size so that the plot fits to one powerpoint
%               slide in FST design. [DEFAULT]
%   -> 'wideppt': set figure's size so that the widescreen plot fits to one 
%                 powerpoint slide in FST design. Useful e.g. for 2 subplots
%                 side by side.
%   -> '1/2ppt': set figure's size so that the plot fits to the half of one 
%                powerpoint slide in FST design. E.g. two plots of this
%                size can be placed on one powerpoint slide in FST design.
%   -> '1/2ppt16:9': set figure's size so that the plot fits to the half of one 
%                    powerpoint slide in 16:9 format. E.g. two plots of this
%                    size can be placed on one powerpoint slide in 16:9 format.
%   -> 'portrait': vertical portrait layout typically used for display of
%                  two subplots one above the other
%   -> 'screen': horizontal layout typically used for display of on flat
%                screens
%   -> 'fullscreen': covers almost complete screen
%   -> 'ASMEcolumnSingle': fit width of 1 text column (3 9/16 inch = 9.05cm), 6cm height
%   -> 'ASMEcolumnDouble': fit width of 1 text column (3 9/16 inch = 9.05cm), 7cm height
%   -> 'ASME2columnTriple': fit width of both text columns (7 1/2 inch = 19.05cm), 7cm height
%   -> 'EEIMetricReport': size of 2 subplots (horizontal) such that in
%                          total 4 subplots and 2 flow-time profile pictures 
%                          fit to one powerpoint slide in FST design.
%   -> 'thesisSingleColumn': set figure's size so that the plot fits to word 
%                           document in FST design with one column.
%
%   -> 'thesisDoubleColumn': set figure's size so that the plot fits to word 
%                           document in FST design with two columns.
%
%
% (C) S. Lang, 03.07.2014

if ~nargin
    SizeType = 'ppt';
end

% Arbeitsweise in cm
set(gcf,'Units','centimeters');
set(gcf,'PaperUnits','centimeters');

% Größe der aktuellen Figure ermitteln
actualPosition = get(gcf,'Position');

% Neue Größen definieren
if strcmp(SizeType,'ppt')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,16,12];
elseif strcmp(SizeType,'wideppt')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,25,5];
elseif strcmp(SizeType,'1/2ppt')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,12,12];
elseif strcmp(SizeType,'1/2ppt16:9')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,6,5];
elseif strcmp(SizeType,'portrait')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,16,16];
elseif strcmp(SizeType,'screen')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,20,16];
elseif strcmp(SizeType,'fullscreen')
    newPosition = [1,3,42,22];
elseif strcmp(SizeType,'ASMEcolumnSingle')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,9.05,6];
elseif strcmp(SizeType,'ASMEcolumnSubplot4')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,9.05,12];
elseif strcmp(SizeType,'ASMEfullPage')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,17.4,24];
elseif strcmp(SizeType,'ASMEcolumnDouble')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,9.05,7];
elseif strcmp(SizeType,'ASMEDoublecolumnSubplot4')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,17.4,12];
elseif strcmp(SizeType,'ASME2columnTriple')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,6.3,7];
elseif strcmp(SizeType,'EEIMetricReport')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,17.2,6.7];
elseif strcmp(SizeType,'irecPaper2019singleColumn')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,7.9,7.9];
elseif strcmp(SizeType,'thesisSingleColumn')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,8,8];
elseif strcmp(SizeType,'thesisDoubleColumn')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,12,8];
elseif strcmp(SizeType,'thesisSubplot3x2')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,16,24];
elseif strcmp(SizeType,'thesisSubplot3x3')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,28,28];
elseif strcmp(SizeType,'thesisSubplot3x5')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,48,28];
elseif strcmp(SizeType,'thesisSubplot2x2')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,16,16];
elseif strcmp(SizeType,'thesisSubplot1x2')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,16,8];
elseif strcmp(SizeType,'bigSubplot2x2')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,32,24];
elseif strcmp(SizeType,'1/4ppt')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,12,8];
elseif strcmp(SizeType,'Subplot1x3')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,24,16];
elseif strcmp(SizeType,'Subplot3x1')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,10,24];
elseif strcmp(SizeType,'Subplot3x2')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,16,24];
elseif strcmp(SizeType,'overview')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,20,26];
elseif strcmp(SizeType,'1/3ppt')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,9,9];
elseif strcmp(SizeType,'DissDoubleRow')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,13.7,13.7];
elseif strcmp(SizeType,'DissFullPage')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,13.7,19.8];
elseif strcmp(SizeType,'DissSingleRow')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,13.7,6.9];
elseif strcmp(SizeType,'DissOneAndHalfRow')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,13.7,10.3];
elseif strcmp(SizeType,'DissSpecialRow')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,13.7,11];
elseif strcmp(SizeType,'DissHalfColumn')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,6.5,6.5];
elseif strcmp(SizeType,'Processes12_12')
    newPosition = [actualPosition(1)-5,actualPosition(2)-5,12,12];
end

% Neue Größe setzen
set(gcf,'Position',newPosition);
set(gcf,'PaperSize',[newPosition(3),newPosition(4)])
set(gcf,'PaperPosition',[0,0,newPosition(3),newPosition(4)])